<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
	
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

if (file_exists(FORUM_ROOT.$forum_url['pan_css_path'].'/lang/'.$forum_user['language'].'/pan_css.php'))
	require FORUM_ROOT.$forum_url['pan_css_path'].'/lang/'.$forum_user['language'].'/pan_css.php';
else
	require FORUM_ROOT.$forum_url['pan_css_path'].'/lang/English/pan_css.php';

$forum_loader->add_css($base_url.'/'.$forum_url['pan_css_path'].'/plugins/CodeMirror/css/docs.css');
$forum_loader->add_css($base_url.'/'.$forum_url['pan_css_path'].'/css/basic.css');

$path_css_custom = FORUM_ROOT.$forum_url['pan_css_path'].'/css/custom/';

if(isset($_POST['edit_file']) )
{
	$form = array_map('trim', $_POST['form']);
	pan_update_options($form);

	$forum_flash->add_info('Файл для редактирования выбран');
	redirect(forum_link($forum_url['pan_css_editor']), 'Файл для редактирования выбран');
}
else if(isset($_POST['add_file']) )
{
	$pan_css_new = $_POST['new_css'];
	if(!empty($pan_css_new))
		$fp = fopen($path_css_custom.$pan_css_new.'.css', "w");

	$forum_flash->add_info('Новый файл добавлен');
	redirect(forum_link($forum_url['pan_css_editor']), 'Новый файл добавлен');
}
else if(isset($_POST['delete_file']) )
{
	$form = array_map('trim', $_POST['form']);
	
	if (file_exists($form['pan_css_path']) && ($form['pan_css_path'] != $forum_config['pan_css_path']))
	{
		pan_update_options(array('pan_css_path' => ''));
		unlink($form['pan_css_path']);
		$forum_flash->add_info('Выбранный файл удален');
	} else {
		$forum_flash->add_info('Не удалось удалить выбранный файл');
	}
	
	redirect(forum_link($forum_url['pan_css_editor']), 'Выбранный файл удален');
}

if(isset($_POST['save_style'])) {

	$css_code = $_POST['css_code'];
	$fs = fopen($forum_config['o_pan_css_path'], "w");
	fwrite($fs, $css_code);
	fclose($fs);
	$style_content = file_get_contents($forum_config['o_pan_css_path']);

	$forum_flash->add_info($lang_pan_css['css_updated']);
	redirect(forum_link($forum_url['pan_css_editor']), $lang_pan_css['css_updated']);
}
else
{
	if(!empty($forum_config['o_pan_css_path']))
		$style_content = file_get_contents($forum_config['o_pan_css_path']); 
}

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_admin_common['Settings'], forum_link($forum_url['admin_settings_setup'])),
	$lang_pan_css['css_custom']
);

$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;

header('Cache-Control: no-cache, no-store, must-revalidate'); // HTTP 1.1.
header('Pragma: no-cache'); // HTTP 1.0.
header('Expires: 0'); // Proxies.

define('FORUM_PAGE_SECTION', 'pan-css');
define('FORUM_PAGE', 'admin-pan-css-editor');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();
?>

	<div class="main-content main-frm">

		<div class="content-head">
			<h2 class="hn"><span>Основные настройки CSS</span></h2>
		</div>

		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_css_editor']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_css_editor'])) ?>" />
			</div>

			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Новый файл стилей</span><small>Чтобы создать новый файл стилей, введите только имя файла латиницей без расширения.</small></label><br />
					<span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="new_css" size="25" value="" /></span>
				</div>
			</div>

			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span>Список файлов стилей</span><small>Выберите файл для редактирования или удаления.</small></label><br />
					<span class="fld-input"><select id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_css_path]">
<?php
if ($forum_config['o_pan_css_path'] == '')
	echo "\t\t\t\t\t\t\t".'<option value="" selected="selected">Файл не выбран</option>'."\n";

$files_css = pan_get_all_files($path_css_custom, array('css'));
foreach ($files_css as $key => $path) 
{
	if ($forum_config['o_pan_css_path'] == $path_css_custom.$path)
		echo "\t\t\t\t\t\t\t".'<option value="'.$path_css_custom.$path.'" selected="selected">'.$path.'</option>'."\n";
	else
		echo "\t\t\t\t\t\t\t".'<option value="'.$path_css_custom.$path.'">'.$path.'</option>'."\n";
}
?>
					</select></span>
				</div>
			</div>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="edit_file" value="Редактировать" /></span>
				<span class="submit primary"><input type="submit" name="add_file" value="Добавить файл" /></span>
				<span class="submit primary"><input type="submit" name="delete_file" value="Удалить файл" /></span>
			</div>
		</form>

		<div class="content-head">
			<h2 class="hn"><span>Редактор стилей</span></h2>
		</div>

		<form action="<?php echo forum_link($forum_url['pan_css_editor']) ?>" accept-charset="utf-8" method="post" class="frm-form">
			<div class="hidden">
				<input type="hidden" value="<?php echo generate_form_token(forum_link($forum_url['pan_css_editor'])) ?>" name="csrf_token" />
			</div>


<?php
if(file_exists(FORUM_ROOT.$forum_url['pan_css_path'].'/css/font-awesome/list-codes.php') && ($forum_config['o_pan_css_fontavesome'] == '1'))
{
	require FORUM_ROOT.$forum_url['pan_css_path'].'/css/font-awesome/list-codes.php';
?>
			<div class="frm-group group1">
				<fieldset class="mf-set set1">
					<legend><span>Доступные иконки</span></legend>
					<div class="mf-box">
						<div class="checklist">
							<fieldset>
								<table>
<?php
	$fa_i = 1;
	foreach ($fa_codes as $key => $fa_code) 
	{
?>
								<tr>
									<style>#fa-code-<?php echo $key ?>::before {font-family:'FontAwesome';content: <?php echo '"'.forum_htmlencode($fa_code).'"' ?>;font-size: 18px;}#fa-code-<?php echo $key ?>:hover::before {font-size: 35px;}</style>
									<td style="width:20%;">№-<?php echo $fa_i ?></td>
									<td style="width:20%;" id="fa-code-<?php echo $key ?>"></td>
									<td style="width:30%;">
										<input type="text" value="<?php echo forum_htmlencode($fa_code) ?>" onfocus="this.select()" size="10" />
									</td>
								</tr>
<?php
		$fa_i++;
	}
?>
								</table>
							</fieldset>
						</div>
					</div>
				</fieldset>
			</div>
<?php
}
?>


<script src="http://panbb.ru/test/extensions/pan_css/plugins/CodeMirror/js/codemirror.js" type="text/javascript"></script>

			<div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="txt-box textarea">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span>Редактор стилей</span><small>Отредактируйте содержимое файла в согласии с правилами CSS и нажмите Обновить.</small></label>
					<div class="txt-input">
						<span class="fld-input">
							<textarea id="code" name="css_code" rows="30" cols="auto"><?php echo !empty($style_content) ? $style_content : '' ?></textarea>
						</span>
					</div>
				</div>
			</div>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save_style" value="Обновить стили" /></span>
			</div>

		</form>

		<div id="info-censored-intro" class="ct-box">
			<p>More info on <a href="http://panbb.ru/forum/" target="_blank">PanBB.ru</a>.</p>
		</div>

	</div>

<script type="text/javascript">
	var editor = CodeMirror.fromTextArea('code', {
		height: "350px",
		parserfile: "parsecss.js",
		stylesheet: "plugins/CodeMirror/css/csscolors.css",
		path: "plugins/CodeMirror/js/"
	});
</script>

<?php

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();	// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';
