<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');

require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';
require FORUM_ROOT.$forum_url['pan_css_path'].'/functions.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

if (file_exists(FORUM_ROOT.$forum_url['pan_css_path'].'/lang/'.$forum_user['language'].'/pan_css.php'))
	require FORUM_ROOT.$forum_url['pan_css_path'].'/lang/'.$forum_user['language'].'/pan_css.php';
else
	require FORUM_ROOT.$forum_url['pan_css_path'].'/lang/English/pan_css.php';

//$forum_loader->add_css($base_url.'/'.$forum_url['pan_css_path'].'/css/basic.css');

$path_css_custom = FORUM_ROOT.$forum_url['pan_css_path'].'/css/custom/';

if(isset($_POST['save_config']) )
{
	//Save Config
	$form = array_map('trim', $_POST['form']);
	pan_update_options($form);

	//Generate Cache File
	$form_css = array_map('trim', $_POST['form_css']);
	PanCssGenCacheFiles($form_css);

	//Redirecting
	$forum_flash->add_info('Настройки обновлены');
	redirect(forum_link($forum_url['pan_css_settings']), 'Настройки обновлены');
}

$new_css_files = PanCssMergeFiles();

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_admin_common['Settings'], forum_link($forum_url['admin_settings_setup'])),
	$lang_pan_css['css_custom']
);

$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;

define('FORUM_PAGE_SECTION', 'pan-css');
define('FORUM_PAGE', 'admin-pan-css-settings');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();
?>
<style>
.checklist-item label {
	height: auto;
}

</style>

	<div class="main-content main-frm">

		<div class="content-head">
			<h2 class="hn"><span>Основные настройки CSS</span></h2>
		</div>

		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_css_settings']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_css_settings'])) ?>" />
			</div>

			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_css_fontavesome]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="form[pan_css_fontavesome]" value="1"<?php if ($forum_config['o_pan_css_fontavesome'] == '1') echo ' checked="checked"' ?> /></span>
					<label for="fld<?php echo $forum_page['fld_count'] ?>"><span>FontAvesome Library</span>Подключить библиотеку иконочных шрифтов FontAvesome</label>
				</div>
			</div>

			<fieldset class="mf-set set1">
				<legend><span>Файлы CSS</span></legend>
				<div class="mf-box">
					<div class="checklist">
						<fieldset>
							<legend><span>Доступные файлы:</span></legend>
<?php
foreach ($new_css_files as $css_name => $css_check)
{
?>
							<div class="checklist-item">
								<span class="fld-input">
									<input type="hidden" name="form_css[<?php echo $css_name ?>]" value="0" />
									<input type="checkbox" name="form_css[<?php echo $css_name ?>]" value="1" <?php if ($css_check == '1') echo 'checked="checked"' ?> />
								</span>
									<label for="fld1"><?php echo $css_name ?></label>
							</div>
<?php
}
?>
						</fieldset>
					</div>
				</div>
			</fieldset>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save_config" value="Сохранить настройки" /></span>
			</div>
		</form>

	</div>

<?php

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();	// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';
